%define name	qlandkartegt
%define oname	QLandkarteGT
%define version 1.2.2
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Views and transfers data to a Garmin GPS receiver
Version: 	%{version}
Release: 	%{release}
Source0:	http://downloads.sourceforge.net/qlandkartegt/%{name}-%{version}.tar.gz
URL:		http://www.qlandkarte.org/
License:	GPLv2+
Group:		Communications
Requires:	garmindev(interface) = 1.18
Requires:	gpsbabel
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	gdal-devel
BuildRequires:	proj-devel
BuildRequires:	grass
BuildRequires:	desktop-file-utils
BuildRequires:	libexif-devel
BuildRequires:	gpsd-devel
Obsoletes:	qlandkarte < %version
Provides:	qlandkarte = %version
BuildRoot:	%{_tmppath}/%{name}-buildroot


%description
This is a raster map tool chain to view map sets stored as GeoTiff on a
PC as well as on a portable device such as PPCs.

%prep
%setup -q -n %{name}-%{version}

%build
%cmake
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files 
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/qlandkartegt.png
%{_mandir}/man1/*


%changelog
* Wed Jul 13 2011 Funda Wang <fwang@mandriva.org> 1.2.2-1mdv2011.0
+ Revision: 689881
- new version 1.2.2

* Tue May 24 2011 Funda Wang <fwang@mandriva.org> 1.1.2-1
+ Revision: 678167
- fix str fmt
- update to new version 1.1.2

* Wed Mar 16 2011 Stéphane Téletchéa <steletch@mandriva.org> 1.1.0-1
+ Revision: 645405
- update to new version 1.1.0

* Mon Dec 27 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 625397
- new version 1.0.0

* Thu Dec 09 2010 Funda Wang <fwang@mandriva.org> 0.20.3-1mdv2011.0
+ Revision: 617319
- update to new version 0.20.3

* Tue Nov 16 2010 Funda Wang <fwang@mandriva.org> 0.20.2-1mdv2011.0
+ Revision: 598015
- new version 0.20.2

* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.20.1-1mdv2011.0
+ Revision: 593056
- new version 0.20.1

* Sun Sep 26 2010 Funda Wang <fwang@mandriva.org> 0.19.2-1mdv2011.0
+ Revision: 581114
- new version 0.19.2

* Wed Sep 22 2010 Oden Eriksson <oeriksson@mandriva.com> 0.19.1-1mdv2011.0
+ Revision: 580540
- sync with fedora

* Sun Aug 15 2010 Funda Wang <fwang@mandriva.org> 0.19.0-1mdv2011.0
+ Revision: 570193
- new version 0.19.0
- update to new version 0.18.5

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 0.18.4-1mdv2011.0
+ Revision: 561122
- new version 0.18.4
- New version 0.18.3

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0.18.1-1mdv2010.1
+ Revision: 531401
- update to new version 0.18.1

* Fri Mar 05 2010 Funda Wang <fwang@mandriva.org> 0.18.0-1mdv2010.1
+ Revision: 514379
- new version 0.18.0

* Sat Feb 06 2010 Funda Wang <fwang@mandriva.org> 0.17.1-1mdv2010.1
+ Revision: 501356
- update to new version 0.17.1

* Mon Jan 25 2010 Funda Wang <fwang@mandriva.org> 0.17.0-1mdv2010.1
+ Revision: 496213
- update to new version 0.17.0

* Mon Dec 21 2009 Funda Wang <fwang@mandriva.org> 0.16.1-1mdv2010.1
+ Revision: 480608
- new version 0.16.1

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 0.16.0-1mdv2010.1
+ Revision: 463294
- new version 0.16.0

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.15.1-1mdv2010.0
+ Revision: 447972
- update to new version 0.15.1

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.15.0-1mdv2010.0
+ Revision: 435994
- update to new version 0.15.0

* Tue Jun 23 2009 Funda Wang <fwang@mandriva.org> 0.14.1-1mdv2010.0
+ Revision: 388117
- New version 0.14.1

* Wed May 06 2009 Funda Wang <fwang@mandriva.org> 0.12.0-1mdv2010.0
+ Revision: 372356
- New version 0.12.0

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.11.1-1mdv2010.0
+ Revision: 370538
- New version 0.11.1

* Wed Mar 11 2009 Funda Wang <fwang@mandriva.org> 0.11.0-1mdv2009.1
+ Revision: 353602
- update file list
- New version 0.11.0

* Sat Feb 07 2009 Funda Wang <fwang@mandriva.org> 0.10.0-1mdv2009.1
+ Revision: 338346
- BR grass for linkage
- New version 0.10.0

* Fri Jan 02 2009 Funda Wang <fwang@mandriva.org> 0.9.3-1mdv2009.1
+ Revision: 323306
- New version 0.9.3

* Wed Dec 24 2008 Funda Wang <fwang@mandriva.org> 0.9.2-1mdv2009.1
+ Revision: 318192
- new version 0.9.2

* Fri Dec 05 2008 Funda Wang <fwang@mandriva.org> 0.9.1-1mdv2009.1
+ Revision: 310716
- fix file list
- new version 0.9.1

* Tue Nov 25 2008 Funda Wang <fwang@mandriva.org> 0.9.0-1mdv2009.1
+ Revision: 306543
- fix file list
- new version 0.9.0
- update url

* Fri Nov 14 2008 Funda Wang <fwang@mandriva.org> 0.8.1-1mdv2009.1
+ Revision: 302975
- import qlandkartegt


